;InnoSetupVersion=1.3.25

[Setup]
AppName=Vivian Mail
AppVerName=Vivian Mail 3.20
AppId=vivianmail
AppVersion=3.20
AppPublisher=Deep Sleep
AppPublisherURL=http://www.deepsleep.de
DefaultDirName={pf}\Deep Sleep\Vivian Mail
DefaultGroupName=Vivian Mail
UninstallDisplayIcon={app}\vivian.exe
OutputBaseFilename=vm320e
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\vserver.exe"; DestDir: "{app}"; 
Source: "{app}\vivian.exe"; DestDir: "{app}"; 
Source: "{app}\vivian.txt"; DestDir: "{app}"; Flags: comparetimestamp 
Source: "{app}\vab.exe"; DestDir: "{app}"; 
Source: "{app}\modules\files.ini"; DestDir: "{app}\modules"; 
Source: "{app}\modules\vaccounts.exe"; DestDir: "{app}\modules"; 
Source: "{app}\modules\vagent.exe"; DestDir: "{app}\modules"; 
Source: "{app}\modules\vinfo.dll"; DestDir: "{app}\modules"; 
Source: "{app}\modules\vview.exe"; DestDir: "{app}\modules"; 
Source: "{sys}\deepsleep.dpl"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{app}\help\vmhelp.exe"; DestDir: "{app}\help"; 
Source: "{app}\viviane.txt"; DestDir: "{app}"; Flags: comparetimestamp 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: comparetimestamp 
Source: "{app}\tools\vchglang.exe"; DestDir: "{app}\tools"; 
Source: "{app}\newmail.wav"; DestDir: "{app}"; 
Source: "{app}\nomail.wav"; DestDir: "{app}"; 
Source: "{sys}\VCL30.DPL"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{sys}\vcl30.DE"; DestDir: "{sys}"; 
Source: "{sys}\ims3.dpl"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{sys}\vivianmail.dpl"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{app}\lizenz.txt"; DestDir: "{app}"; Flags: comparetimestamp 

[Dirs]
Name: "{app}\modules"; Flags: uninsalwaysuninstall 
Name: "{app}\help"; Flags: uninsalwaysuninstall 
Name: "{app}\tools"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\Deep Sleep\Vivian Mail\3.0"; ValueName: "Language"; ValueType: Dword; ValueData: "$2"; Flags: uninsdeletekey noerror 
Root: HKLM; Subkey: "Software\Clients\Mail\Vivian Mail"; ValueType: String; ValueData: "Vivian Mail"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Clients\Mail\Vivian Mail\Protocols\mailto\shell\open\command"; ValueType: String; ValueData: "{app}\vivian.exe"" ""%1"; Flags: uninsdeletekey 

[Icons]
Name: "{group}\Vivian Mail 3.20"; Filename: "{app}\vivian.exe"; 
Name: "{group}\Vivian Mail Readme"; Filename: "{app}\vivian.txt"; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\help\*.*"; 
Type: files; Name: "{app}\headers.ini"; 
Type: dirifempty; Name: "{app}\users"; 
